#include "result.hh"
#include "request.hh"



/* *** Operators *** */


const Result& Result::operator=(const Result &source)
{
  if (this == &source)
    return *this ;

  position = source.position ;
  request = source.request ;

  return *this ;
}


bool Result::operator==(const Result &source) const
{
  return
    position == source.position &&
    request == source.request ;
}



std::ostream& operator<<(std::ostream &os, const Result &r)
{
  if (r.request == NULL)
    os << "For an unknown request, the result is: " ;
  else
    os
        << "For the following request: "
        << *(r.request)
        << "\nThe result is: " ;
  os << r.position ;
  return os ;
}
