#ifndef _OWLPS_POSITIONING_POSITIONINGALGORITHM_HH_
#define _OWLPS_POSITIONING_POSITIONINGALGORITHM_HH_

#include "request.hh"
#include "result.hh"

/// Super-class of all positioning algorithms
class PositioningAlgorithm
{
public:
  PositioningAlgorithm(void) {}
  virtual ~PositioningAlgorithm(void) {}

  virtual Result compute(const Request &request) = 0 ;
} ;

#endif // _OWLPS_POSITIONING_POSITIONINGALGORITHM_HH_
